Rotated printing with layer transparency or layer blending results in cut-off layers

2014-04-01 01:57 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18462

Description

When assigning a layer transparency or layer blending to a vector layer on top of a raster layer and rotating the map frame in the print

composer, the resulting PDF has a cut-off at the corner(s) - the layer is not rendered completely.

If one assigns the transparency as an alpha value on single categories the printout works fine.

Attached is a qgs project file (referencing WFS/WMS) and you can see the resulting PDF at 

http://webgis.uster.ch/temp/rotated_printing_with_layer_transparency.pdf

It seems like this is fixed in master, but not in QGIS 2.2 - I don't know which commit fixed this.

History

#1 - 2014-04-06 06:05 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#2 - 2014-05-31 07:41 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master

Files

rotated_printing_with_layer_transparency.qgs 31.5 KB 2014-03-31 Andreas Neumann
